/*
 * Copyright (C) 2009 Ericsson AB
 *
 * Authors: Jonas Sjöquist <jonas.sjoquist@ericsson.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#include <gtk/gtk.h>

GtkWidget *log_window;
GtkWidget *nmea_data_text_view;
GtkWidget *view_log_button;
GtkWidget *clear_button;
GtkWidget *save_button;

extern void log_window_append (char *buf, int len);
extern void log_window_clear_cb (GtkButton * button, gpointer udata);
extern void log_window_save_cb (GtkButton * button, gpointer udata);
extern void show_log_window (void);
extern void hide_log_window (void);
